:root {
  --orange-color: #fa8b24;
  --dark-color: #363636;
  --light-yellow: #fffbef;
  --silver-color: #fbfbfb;
  --white: #fff;
  --footer-link: #828282;
  --body-text-color: #828282;
  --black: #000000;
  --shadow-medium: 0 4px 6px -1px rgba(0, 0, 0, 0.1),
    0 2px 4px -1px rgba(0, 0, 0, 0.06);
}
@media screen and (max-width: 992px) {
  .navibar {
    position: fixed;
    top: 0;
    left: -100%;
    width: 75%;
    height: 100%;
    z-index: 10;
    opacity: 0;
    overflow-y: auto;
    visibility: hidden;
    transition: all 0.5s ease;
    box-shadow: var(--shadow-medium);
    background-color: var(--dark-color);
  }
  .navibar.active {
    left: 0rem;
    opacity: 1;
    visibility: visible;
  }
}

.menu-item {
  position: relative;
  display: inline-block;
  padding: 0px 15px;
}

.menu-link {
  display: flex;
  justify-content: center;
  align-items: center;
  -moz-column-gap: 0.25rem;
  column-gap: 0.25rem;
  font-family: inherit;
  font-size: 14px;
  font-weight: 500;
  color: #fff;
  line-height: inherit;
  cursor: pointer;
  text-transform: uppercase;
  text-decoration: none;
  transition: all 0.3s ease-in-out;
}
.menu-link > i.bi {
  font-size: 14px;
  line-height: 1.5;
  color: inherit;
}
.menu-link:hover {
  outline: none;
}
@media only screen and (min-width: 993px) {
  .menu-dropdown:hover > .submenu {
    display: block;
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }
  .menu .menu-item:first-child {
    padding-left: 0;
  }
}
@media only screen and (max-width: 992px) {
  .menu {
    width: 100%;
    height: auto;
    padding: 1rem 0;
  }
  .menu-item {
    display: block;
    margin: 0 auto;
  }
  .menu-link {
    justify-content: space-between;
    padding: 0.5rem 1.25rem;
  }
}

.submenu {
  position: absolute;
  top: 2.35rem;
  left: -2rem;
  min-width: 13rem;
  height: auto;
  padding: 0 1rem 1rem;
  opacity: 0;
  visibility: hidden;
  transform: translateY(1rem);
  border-radius: 0 0 0.25rem 0.25rem;
  transition: all 0.3s ease-in-out;
  border-top: 2px solid var(--orange-color);
  box-shadow: var(--shadow-medium);
  background-color: var(--dark-color);
}
.submenu-item {
  display: block;
  margin-top: 0.75rem;
}
.submenu-link {
  font-family: inherit;
  font-size: 14px;
  text-decoration: none;
  font-weight: 500;
  line-height: inherit;
  cursor: pointer;
  transition: all 0.35s ease;
  color: #fff;
  text-transform: uppercase;
}
.submenu-link:hover {
  outline: none;
  color: var(--orange-color);
}
@media only screen and (max-width: 992px) {
  .submenu {
    position: relative;
    top: -0.5rem;
    left: 2.5rem;
    width: 100%;
    max-height: 0;
    padding: 0px;
    border: none;
    outline: none;
    opacity: 1;
    overflow: hidden;
    visibility: visible;
    transform: translateY(0px);
    box-shadow: none;
    background: transparent;
  }
}

.burger {
  position: relative;
  display: none;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  width: 1.6rem;
  height: 1.15rem;
  opacity: 0;
  visibility: hidden;
  background: transparent;
}
.burger-line {
  position: absolute;
  display: block;
  right: 0;
  width: 100%;
  height: 2.1px;
  opacity: 1;
  border: none;
  outline: none;
  background-color: #fff;
  border-radius: 1rem;
}
.burger-line:nth-child(1) {
  top: 0px;
}
.burger-line:nth-child(2) {
  top: 0.5rem;
  width: 70%;
}
.burger-line:nth-child(3) {
  top: 1rem;
}
@media only screen and (max-width: 992px) {
  .burger {
    display: block;
    opacity: 1;
    visibility: visible;
  }
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  z-index: 9;
  opacity: 0;
  visibility: hidden;
  transition: all 0.35s ease-in-out;
  background-color: rgba(0, 0, 0, 0.65);
}
@media only screen and (max-width: 992px) {
  .overlay.active {
    display: block;
    opacity: 1;
    visibility: visible;
  }
}
